Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# is_planar< planar_pixel_reference< ChannelReference, ColorSpace > > Struct Template Reference
[planar_pixel_reference]

`#include <planar_pixel_reference.hpp>`

## Detailed Description

### template<typename ChannelReference, typename ColorSpace>
struct boost::gil::is_planar< planar_pixel_reference< ChannelReference, ColorSpace > >

Specifies that planar_pixel_reference represents a planar construct. Required by PixelBasedConcept.

The documentation for this struct was generated from the following file:

- planar_pixel_reference.hpp